Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::NumericValueEncoding Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::NumericValueEncoding:

## Public Attributes
float | scalingFactor
| multiply with when interpreting as numeric value
float | offset
| add value after applying scalingFactor
Public Attributes inherited from peripheral::GatewaySensorManager::ValueEncoding
string | encodingId
| encoding type id
EncodingType | type
| value coding type
boolean | invertState
| invert when interpreting as state
vector< InterpretationRule > | interpretationRules
| error/value inerpretation rules

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl